%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Beamer Presentation
% LaTeX Template
% Version 1.0 (10/11/12)
%
% This template has been downloaded from:
% http://www.LaTeXTemplates.com
%
% License:
% CC BY-NC-SA 3.0 (http://creativecommons.org/licenses/by-nc-sa/3.0/)
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------------------------------------------------------------------------------------
%	PACKAGES AND THEMES
%----------------------------------------------------------------------------------------

\documentclass{beamer}
\setbeamertemplate{navigation symbols}{} % don't use navigation tools on slides

\mode<presentation> {

% The Beamer class comes with a number of default slide themes
% which change the colors and layouts of slides. Below this is a list
% of all the themes, uncomment each in turn to see what they look like.

%\usetheme{default}
%\usetheme{AnnArbor}
%\usetheme{Antibes}
%\usetheme{Bergen}
%\usetheme{Berkeley}
%\usetheme{Berlin}
%\usetheme{Boadilla}
%\usetheme{CambridgeUS}
%\usetheme{Copenhagen}
%\usetheme{Darmstadt}
%\usetheme{Dresden}
%\usetheme{Frankfurt}
%\usetheme{Goettingen}
%\usetheme{Hannover}
%\usetheme{Ilmenau}
%\usetheme{JuanLesPins}
%\usetheme{Luebeck}
\usetheme{Madrid}
%\usetheme{Malmoe}
%\usetheme{Marburg}
%\usetheme{Montpellier}
%\usetheme{PaloAlto}
%\usetheme{Pittsburgh}
%\usetheme{Rochester}
%\usetheme{Singapore}
%\usetheme{Szeged}
%\usetheme{Warsaw}

% As well as themes, the Beamer class has a number of color themes
% for any slide theme. Uncomment each of these in turn to see how it
% changes the colors of your current slide theme.

\definecolor{col1}{RGB}{239,114,21}
\definecolor{col2}{RGB}{190,87,13}
\definecolor{col3}{RGB}{143,65,9}
\definecolor{col4}{RGB}{247,152,98}

\setbeamercolor*{palette primary}{use=structure,fg=white,bg=col1}
\setbeamercolor*{palette secondary}{use=structure,fg=white,bg=col2}
\setbeamercolor*{palette tertiary}{use=structure,fg=white,bg=col3}
\setbeamercolor*{palette quaternary}{use=structure,fg=white,bg=col4}

\setbeamercolor*{block title}{fg=white,bg=col3}

%\setbeamertemplate{itemize item}{\color{orange}$\blacksquare$}
%\setbeamertemplate{itemize subitem}{\color{orange}$\blacktriangleright$}

\setbeamercolor*{item}{fg=col3,bg=white}
\setbeamercolor{item projected}{fg=white}
\setbeamercolor{normal text}{bg=white,fg=black}
%\setbeamercolor{enumerate subitem}{fg=orange,bg=orange}
%\setbeamercolor{enumerate subsubitem}{fg=white,bg=orange}
%\setbeamercolor{frametitle}{fg=black}
\setbeamercolor{section in toc}{fg=col3}
\setbeamercolor{subsection in toc}{fg=black}
\setbeamercolor{caption name}{fg=black}

%\usecolortheme{albatross}
%\usecolortheme{beaver}
%\usecolortheme{beetle}
%\usecolortheme{crane}
%\usecolortheme{dolphin}
%\usecolortheme{dove}
%\usecolortheme{fly}
%\usecolortheme{lily}
%\usecolortheme{orchid}
%\usecolortheme{rose}
%\usecolortheme{seagull}
%\usecolortheme{seahorse}
%\usecolortheme{whale}
%\usecolortheme{wolverine}

%\setbeamertemplate{footline} % To remove the footer line in all slides uncomment this line
%\setbeamertemplate{footline}[page number] % To replace the footer line in all slides with a simple slide count uncomment this line

%\setbeamertemplate{navigation symbols}{} % To remove the navigation symbols from the bottom of all slides uncomment this line

\setbeamerfont{subtitle}{size=\scriptsize, parent=structure}
\setbeamerfont{author}{size=\large, parent=structure}
\setbeamerfont{institute}{size=\scriptsize, parent=structure}
\setbeamerfont{date}{size=\scriptsize, parent=structure}
}

\usepackage{graphicx} % Allows including images
\usepackage{booktabs} % Allows the use of \toprule, \midrule and \bottomrule in tables
\usepackage{pdfpc-commands}
\usepackage[utf8]{inputenc} % (utf8x si hay problemas) 
\usepackage[spanish]{babel}
\usepackage[T1]{fontenc}
\usepackage{svg}
\usepackage{enumitem}
\usepackage{textcomp}

\setitemize{label=\usebeamerfont*{itemize item}%
  \usebeamercolor[fg]{itemize item}
  \usebeamertemplate{itemize item}}

%----------------------------------------------------------------------------------------
%	TITLE PAGE
%----------------------------------------------------------------------------------------

\title[FCEIA, UNR]{Adaptación de sistemas SLAM para dispositivos onboard} % The short title appears at the bottom of every slide, the full title is only on the title page

\author{Gonzalez, Hernán \\
Santano, Emiliano} % Your name
\institute[] % Your institution as it will appear on the bottom of every slide, may be shorthand to save space
{
\textbf{Director:} Terissi, Lucas \\
\textbf{Director externo:} Pire, Taihú \\
\medskip
Universidad Nacional de Rosario \\ % Your institution for the title page
Facultad de Cs. Exactas, Ingeniería y Agrimensura \\
}
%\date{\today} % Date, can be changed to a custom date

\begin{document}

\begin{frame}
\titlepage % Print the title page as the first slide
\end{frame}

%\begin{frame}
%\frametitle{Índice} % Table of contents slide, comment this block out to remove it
%\tableofcontents % Throughout your presentation, if you choose to use \section{} and \subsection{} commands, these will automatically be printed on this slide as an overview of your presentation
%\end{frame}

%----------------------------------------------------------------------------------------
%	PRESENTATION SLIDES
%----------------------------------------------------------------------------------------

%------------------------------------------------
%------------------------------------------------
\author{Gonzalez, Hernán}
\title[Santano, Emiliano]{Adaptación de sistemas SLAM para dispositivos onboard} % The short title appears at the bottom of every slide, the full title is only on the title page

\section{Motivación}
\begin{frame}
\frametitle{Motivación}
\begin{itemize}
\item SLAM es uno de los problemas más desafiantes de la robótica móvil actual
\item Es uno de los pilares de la navegación autónoma
\item Costoso computacionalmente
\item Robots con capacidad de procesamiento onboard limitada
\end{itemize}
\vspace{15pt}
\begin{block}{Objetivo:}
Lograr un procesamiento en tiempo real en un sistema onboard de capacidad de cómputo limitada
\end{block}

\end{frame}

%------------------------------------------------

%\section{Objetivos}
%\begin{frame}
%\frametitle{Objetivos}
%\begin{itemize}
%\item Implementación de nuevos detectores y descriptores (características visuales)
%\item Evaluación de distintos algoritmos de emparejamiento
%\item Evaluación de ANMS (\textit{Adaptative Non-Maximal Supression})
%\item Soporte para una cámara de bajo costo y pequeña
%\item Soporte para un dispositivo pequeño y de bajo poder de cómputo con funcionamiento en tiempo real
%\end{itemize}
%\end{frame}

%------------------------------------------------
\section{Introducción Teórica}
\subsection{SLAM}

\begin{frame}
\frametitle{Ejemplo de Sistema SLAM Visual}
\centering
\inlineMovie[loop&autostart]{images/sptam.avi}{images/sptam.jpg}{height=0.8\textheight}
\end{frame}

\begin{frame}
\frametitle{Simultaneous Localization And Mapping}
\begin{columns}[c] % The "c" option specifies centered vertical alignment while the "t" option is used for top vertical alignment

\column{.4\textwidth} % Left column and width
\begin{figure}
\includegraphics[width=0.8\linewidth]{images/navegacion_autonoma.pdf}
\end{figure}

\column{.55\textwidth} % Right column and width
\begin{figure}
\includegraphics[width=0.9\linewidth]{images/slam-landmarks.pdf}
\end{figure}

\end{columns}
\end{frame}

%\begin{frame}
%\frametitle{Tipos de SLAM}
%\begin{itemize}
%\item Escáner láser
%\item Sonar
%\item Cámara
%\end{itemize}
%\begin{itemize}[leftmargin=.5in]
%\item Slam Visual
%\begin{itemize}
%\item Monocular
%\begin{itemize}
%\item Directo
%\item Características Visuales
%\end{itemize}\item Estéreo
%\begin{itemize}
%\item Directo
%\item Características Visuales \textrightarrow \textbf{ S-PTAM}
%\end{itemize}
%\end{itemize}
%\end{itemize}
%\end{frame}

\subsection{Características Visuales Locales}
\begin{frame}
\frametitle{Detección, Descripción y Matching}
\begin{figure}
\includegraphics[height=0.35\textheight]{images/dete_desc.png}
\end{figure}

\begin{figure}
\includegraphics[height=0.35\textheight]{images/matches.jpg}
\end{figure}

\end{frame}

\begin{frame}
\frametitle{Propiedades deseables en características visuales para SLAM}
\begin{itemize}
\item Repetibilidad
\item Distinguibilidad
\item Cantidad
\item Distribución
\item Eficiencia
\end{itemize}
\end{frame}

\begin{frame}
\frametitle{Adaptative Non-Maximal Supression}
\begin{figure}
\includegraphics[height=0.35\textheight]{images/noANMS.png}
\end{figure}

\begin{figure}
\includegraphics[height=0.35\textheight]{images/anms.png}
\end{figure}

\end{frame}
%------------------------------------------------
\section{Análisis}
\subsection{Software de Comparación}
\begin{frame}
\frametitle{Software de Comparación}
\begin{columns}[c] % The "c" option specifies centered vertical alignment while the "t" option is used for top vertical alignment

\column{.7\textwidth} % Left column and width
\begin{figure}
\includegraphics[width=\textwidth]{images/capturasoftware.png}
\end{figure}

\column{.3\textwidth} % Right column and width
\begin{table}
\resizebox{\columnwidth}{!}{
\begin{tabular}{c c}
\toprule
\textbf{Detectores} & \textbf{Descriptores} \\
\midrule
FAST & BRIEF \\
ORB & BRISK \\
AGAST & ORB \\
BRISK & \textcolor{col1}{LDB} \\
GFTT & FREAK \\
\textcolor{col1}{BAFT} & LATCH \\
AKAZE & \textcolor{col1}{BAFT} \\
\textcolor{col1}{LOCKY} & AKAZE \\
\bottomrule
\end{tabular}
}
\end{table}
\end{columns}

\end{frame}

\begin{frame}
\frametitle{Comparación de features}
\begin{columns}[c] % The "c" option specifies centered vertical alignment while the "t" option is used for top vertical alignment

\column{.5\textwidth} % Left column and width
\begin{figure}
\includegraphics[width=1.0\linewidth]{images/t_det_box.pdf}
\end{figure}

\column{.5\textwidth} % Right column and width
\begin{figure}
\includegraphics[width=1.0\linewidth]{images/t_desc_box.pdf}
\end{figure}

\end{columns}

\end{frame}

%----------------------------------------------------------------------
\begin{frame}
\frametitle{Comparación de features}
\begin{figure}
\includegraphics[width=0.9\linewidth]{images/matches_bfm.pdf}
\end{figure}

\end{frame}

\subsection{S-PTAM}
\begin{frame}
\frametitle{Evaluación sobre S-PTAM - Datasets}
\begin{figure}
\includegraphics[width=0.8\linewidth]{images/datasets.png}
\end{figure}

\end{frame}

\fullFrameImage{images/errors-kitti3.png}{}

\begin{frame}
\frametitle{Evaluación sobre S-PTAM - Tiempos de procesamiento}
\begin{figure}
\includegraphics[width=0.8\linewidth]{images/times-kitti-new.pdf}
\end{figure}

\end{frame}

\begin{frame}
\frametitle{Evaluación sobre S-PTAM - Comparación final}
\begin{figure}
\includegraphics[width=1.0\linewidth]{images/comparacion-final.png}
\end{figure}

\end{frame}

\section{Hardware}
\subsection{Set-up}
\begin{frame}
\frametitle{Hardware seleccionado}
\begin{columns}[t] % The "c" option specifies centered vertical alignment while the "t" option is used for top vertical alignment

\column{.4\textwidth} % Left column and width
Odroid-XU4
\begin{figure}
\includegraphics[width=1.0\linewidth]{images/odroid.png}
\end{figure}

\column{.4\textwidth} % Right column and width
Blackbird 2
\begin{figure}
\includegraphics[width=1.0\linewidth]{images/blackbird2.jpeg}
\end{figure}

\end{columns}
\end{frame}

\begin{frame}
\frametitle{Odroid - Evaluación sobre S-PTAM}
\begin{figure}
\includegraphics[width=1.0\linewidth]{images/odroid-final.png}
\end{figure}
\end{frame}

\begin{frame}

\frametitle{Secuencias - Blackbird 2}
\begin{columns}[c] % The "c" option specifies centered vertical alignment while the "t" option is used for top vertical alignment

\column{.2\textwidth} % Left column and width
Aula 03

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/aula1.png}
\end{figure}

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/aula2.png}
\end{figure}

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/aula3.png}
\end{figure}

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/aula4.png}
\end{figure}
\end{columns}

\begin{columns}[c] % The "c" option specifies centered vertical alignment while the "t" option is used for top vertical alignment
\column{.2\textwidth} % Left column and width
IMAE

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/imae1.png}
\end{figure}

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/imae2.png}
\end{figure}

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/imae3.png}
\end{figure}

\column{.2\textwidth} % Right column and width
\begin{figure}
\includegraphics[height=0.33\textheight]{images/imae4.png}
\end{figure}
\end{columns}

\end{frame}
%\fullFrameMovie[loop]{aulax7-trimmed2.avi}{aulax7-trimmed.jpg}{\copyrightText{Apollo 17, NASA}}

\subsection{Resultados}
\begin{frame}
\frametitle{Secuencia Aula 3}
\centering
\inlineMovie[loop&autostart]{images/aulax7.avi}{images/aulax7.jpg}{height=0.8\textheight}
\end{frame}

\begin{frame}
\frametitle{Odroid - Evaluación Secuencias}

\begin{figure}
\includegraphics[width=1.0\linewidth]{images/odroid-secuencias.png}
\end{figure}

\end{frame}

%------------------------------------------------
%\section{Resultados}
%------------------------------------------------

%\begin{frame}
%\frametitle{Table}
%\begin{table}
%\begin{tabular}{l l l}
%\toprule
%\textbf{Treatments} & \textbf{Response 1} & \textbf{Response 2}\\
%\midrule
%Treatment 1 & 0.0003262 & 0.562 \\
%Treatment 2 & 0.0015681 & 0.910 \\
%Treatment 3 & 0.0009271 & 0.296 \\
%\bottomrule
%\end{tabular}
%\caption{Table caption}
%\end{table}
%\end{frame}

%------------------------------------------------

%\begin{frame}
%\frametitle{Theorem}
%\begin{theorem}[Mass--energy equivalence]
%$E = mc^2$
%\end{theorem}
%\end{frame}

%------------------------------------------------

%\begin{frame}[fragile] % Need to use the fragile option when verbatim is used in the slide
%\frametitle{Verbatim}
%\begin{example}[Theorem Slide Code]
%\begin{verbatim}
%\begin{frame}
%\frametitle{Theorem}
%\begin{theorem}[Mass--energy equivalence]
%$E = mc^2$
%\end{theorem}
%\end{frame}\end{verbatim}
%\end{example}
%\end{frame}
%
%------------------------------------------------

%\begin{frame}
%\frametitle{Figure}
%Uncomment the code on this slide to include your own image from the same directory as the template .TeX file.
%\begin{figure}
%\includegraphics[width=0.8\linewidth]{test}
%\end{figure}
%\end{frame}

%------------------------------------------------

%\begin{frame}[fragile] % Need to use the fragile option when verbatim is used in the slide
%\frametitle{Citation}
%An example of the \verb|\cite| command to cite within the presentation:\\~
%
%This statement requires citation \cite{p1}.
%\end{frame}
%
%------------------------------------------------

%\begin{frame}
%\frametitle{References}
%\footnotesize{
%\begin{thebibliography}{99} % Beamer does not support BibTeX so references must be inserted manually as below
%\bibitem[Smith, 2012]{p1} John Smith (2012)
%\newblock Title of the publication
%\newblock \emph{Journal Name} 12(3), 45 -- 678.
%\end{thebibliography}
%}
%\end{frame}

%------------------------------------------------
\section{Conclusiones}
\begin{frame}
\frametitle{Conclusiones}
\begin{itemize}
\item Desarrollo Software de Comparación de features
\item Análisis y Selección de las mejores combinaciones para SLAM Visual
\item Análisis sobre S-PTAM en distintos datasets
\item Configuración óptima para dispositivos de bajo poder de cómputo
\item Soporte para hardware compacto de bajo costo
\item Grabación y evaluación de secuencias propias
\item Funcionamiento en tiempo real en sistema onboard sin perder precisión
\end{itemize}
\begin{block}{Trabajo Futuro:}
\begin{itemize}
\item Hacer uso de características visuales basadas en machine learning
\item Aprovechamiento de GPU incorporada en los dispositivos utilizados
\item Creación de ground-truth para la evaluación de errores en secuencias propias
\end{itemize}
\end{block}
\end{frame}

\begin{frame}
\Huge{\centerline{Muchas gracias!}}
\end{frame}

\section{Anexo}
%----------------------------------------------------------------------------------------

\end{document} 
